# $Revision: 1.72 $, $Date: 2012/03/28 12:17:29 $
# TODO
# - fix as-needed
#
Summary:	DV editing utility
Summary(pl.UTF-8):	Narzędzie do edycji DV
Name:		kino
Version:	1.3.4
Release:	6
License:	GPL
Group:		Applications/Multimedia
Source0:	http://downloads.sourceforge.net/kino/%{name}-%{version}.tar.gz
# Source0-md5:	52f8ce690e45a089e3edc6c7af61a05c
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-1.3.4-libav-0.7.patch
Patch2:		%{name}-1.3.4-v4l1.patch
URL:		http://www.kinodv.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool
BuildRequires:	libavc1394-devel >= 0.4.1
BuildRequires:	libdv-devel >= 0.102
BuildRequires:	libglade2-devel >= 1:2.5
BuildRequires:	libiec61883-devel
BuildRequires:	libsamplerate-devel >= 0.0.14
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.315
BuildRequires:	xorg-lib-libXv-devel
Requires(post,postun):	shared-mime-info
Requires:	gtk+2 >= 2:2.6.0
Requires:	libavc1394 >= 0.4.1
Requires:	libdv >= 0.102
Requires:	libglade2 >= 1:2.5
Requires:	libsamplerate >= 0.0.14
Requires:	shared-mime-info
Suggests:	dvdauthor
Suggests:	ffmpeg
Suggests:	qdvdauthor
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		filterout_ld	-Wl,--as-needed

%description
Kino is an DV non-linear editing utility.

%description -l pl.UTF-8
Kino to narzędzie do nieliniowej edycji DV.

%package devel
Summary:	Development files for Kino plugins
Summary(pl.UTF-8):	Pliki dla programistów wtyczek Kina
Group:		Applications/Multimedia
Requires:	libstdc++-devel

%description devel
Development files for Kino plugins.

%description devel -l pl.UTF-8
Pliki dla programistów tworzących wtyczki Kina.

%package jogshuttle
Summary:	Kino support for jogshuttle input devices
Summary(pl.UTF-8):	Obsługa urządzeń jogshuttle dla Kino
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	udev-core

%description jogshuttle
Jog/Shuttles are devices made especially for working with streams of
data, such as Video or Audio. In theory, Kino should work with any
(usb) Jog/Shuttle devices that supports the USB HID v1.10 Pointer
profile.

%description jogshuttle -l pl.UTF-8
Urządzenia Jog/Shuttle są specjalnie przystosowane do pracy ze
strumieniami danych takimi jak dźwięk lub wideo. Teoretycznie, program
Kino powinien pracować z dowolnym urządzeniem Jog/Shuttle wspierającym
standard USB HID v1.10.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

# use lib64 when needed
sed -i -e 's|lib/kino-gtk2|%{_lib}/kino-gtk2|' src/*/Makefile.am

%build
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-x \
	--with-libdv-only \
	--disable-local-ffmpeg \
	--enable-udev-rules-dir=%{_sysconfdir}/udev/rules.d
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

# broken symlink, create it manually:
ln -sf kino $RPM_BUILD_ROOT%{_bindir}/kino2raw
# it seems to be more Danish than Norwegian; current Norwegian is in nb
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/no
rm -f $RPM_BUILD_ROOT%{_libdir}/kino-gtk2/*.{a,la}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
update-mime-database %{_datadir}/mime >/dev/null 2>&1 ||:
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
if [ $1 = 0 ]; then
	umask 022
	update-mime-database %{_datadir}/mime >/dev/null 2>&1
	[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/kino-gtk2
%attr(755,root,root) %{_libdir}/kino-gtk2/lib*.so*
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/lumas
%{_datadir}/%{name}/*.xpm
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.jpeg
%{_datadir}/%{name}/help
%attr(755,root,root) %{_datadir}/%{name}/scripts
%{_datadir}/mime/packages/*.xml
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/kino

%files jogshuttle
%defattr(644,root,root,755)
%doc README_jogshuttle
%attr(755,root,root) /etc/udev/rules.d/kino.rules

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kino.spec,v $
Revision 1.72  2012/03/28 12:17:29  arekm
- release 6

Revision 1.71  2012/02/10 10:15:34  arekm
- rel 5; fix build

Revision 1.70  2012/02/07 22:03:22  arekm
- release 4

Revision 1.69  2011/07/06 07:54:15  lisu
- rel 3

Revision 1.68  2010/01/29 20:39:03  arekm
- release 2

Revision 1.67  2010/01/29 19:33:19  sparky
- BR: gettext-devel

Revision 1.66  2010/01/28 23:19:34  qwiat
- update

Revision 1.65  2008/11/15 19:37:49  arekm
- release 4

Revision 1.64  2008/11/06 17:02:46  arekm
- release 3

Revision 1.63  2008/09/18 15:13:20  qboosh
- really package udev rules in -jogshuttle, not base
- libglade2 epoch
- removed obsolete comment (looks like some old lib API mismatch)

Revision 1.62  2008/09/18 14:51:25  qboosh
- BR: libtool
- updated jogshuttle R (udev not hotplug now)

Revision 1.61  2008/09/18 13:04:47  vip
- libtoolize

Revision 1.60  2008/09/18 12:53:50  vip
- rel 2, STBR

Revision 1.59  2008/08/30 23:08:46  wolvverine
- up to 1.3.2, STBR

Revision 1.58  2008/08/24 11:08:30  arekm
- release 2

Revision 1.57  2008/08/21 10:02:52  gotar
- S: dvdauthor, ffmpeg, qdvdauthor

Revision 1.56  2008/08/17 20:17:21  arekm
- up to 1.3.1

Revision 1.55  2008-03-09 16:50:51  arekm
- up to 1.3.0

Revision 1.54  2007-12-29 17:43:07  rotom
- up to 1.2.0

Revision 1.53  2007/08/11 08:42:13  arekm
- up to 1.1.1

Revision 1.52  2007/05/08 13:13:29  shadzik
- rel 3 (_ZNSo9_M_insertEPKci)

Revision 1.51  2007/04/15 13:18:59  arekm
- rel 2; drop obsolete patch which breaks big endian builds

Revision 1.50  2007/04/15 12:44:39  arekm
- parallel install broken

Revision 1.49  2007/03/17 12:51:27  glen
- ac-test build results

Revision 1.48  2007/03/17 12:38:47  glen
- simplify

Revision 1.47  2007/03/17 12:28:23  rotom
- up to 1.0
- udev support

Revision 1.46  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.45  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.44  2007/01/27 21:19:51  arekm
- rel 3

Revision 1.43  2007/01/13 20:39:12  arekm
- rel 2; builds fine on ppc so I guess sparc will be fine, too

Revision 1.42  2007/01/13 20:24:11  arekm
- up to 0.9.4

Revision 1.41  2006/11/25 21:57:52  arekm
- up to 0.9.3

Revision 1.40  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.39  2006/09/01 15:37:41  aredridel
- 0.9.2

Revision 1.38  2006/08/26 13:02:44  arekm
- up to 0.9.1

Revision 1.37  2006/08/25 11:26:25  qboosh
- updated comment

Revision 1.36  2006/08/25 11:26:03  qboosh
- EA: sparc not alpha

Revision 1.35  2006/08/25 09:46:14  qboosh
- filterout requires macros >= 1.315

Revision 1.34  2006/08/22 13:09:32  glen
- Exclude alpha and ppc from build; rel 2

Revision 1.33  2006/08/17 22:44:10  aredridel
- 0.9.0

Revision 1.32  2006/05/21 13:11:49  glen
- strict internal deps

Revision 1.31  2006/05/21 12:21:39  glen
- add segfault_empty_chapter,fix_avi_packing,fix_no_mplex,fix_bigendian_warning patches from debian

Revision 1.30  2006/05/02 18:48:12  glen
- rel 2

Revision 1.29  2006/05/02 18:12:33  glen
- up to 0.8.1

Revision 1.28  2006/04/17 07:42:20  ankry
- fixed -desktop patch, rel.3; STBR

Revision 1.27  2006/03/07 18:09:55  qboosh
- updated URL

Revision 1.26  2005/11/27 12:09:46  freetz
- fix amd64 build, rel.2

Revision 1.25  2005/11/26 21:12:17  freetz
- 0.8.0, more %files, no more gnome dependencies, updated BR/R,
  fixed post install scripts

Revision 1.24  2005/10/29 06:53:20  ankry
- kill bogus no translation, rel. 2

Revision 1.23  2005/09/15 19:34:29  freetz
- 0.7.6, url updated, update-mime-database/update-desktop-database
  post/postun added

Revision 1.22  2005/02/10 18:45:53  darekr
- missing dir

Revision 1.21  2005/02/10 18:41:49  charles
- updated to 0.7.5

Revision 1.20  2004/10/03 13:54:59  paladine
- updated to 0.7.4
- added desktop patch

Revision 1.19  2004/04/15 08:45:57  ankry
- formatting

Revision 1.18  2004/04/15 08:37:47  aflinta
- added jogshuttle subpackage, release 1

Revision 1.17  2004/04/15 07:24:42  aflinta
- fixed fucked up builddir, You had improper source, mostly finished,
  but don't know what to do with two hotplug related files

Revision 1.16  2004/04/14 15:14:50  aredridel
- fix build directory

Revision 1.15  2004/04/14 15:07:51  aflinta
- started update to 0.7.1, NFY

Revision 1.14  2004/01/15 12:09:08  qboosh
- added system-samplerate patch, use system libsamplerate
- fixed headers attr, BR versions, cleanups, release 2

Revision 1.13  2004/01/15 01:26:13  undefine
- release 1

Revision 1.12  2004/01/15 01:19:42  undefine
- ac/am in libsamplerate too

Revision 1.11  2004/01/15 01:02:59  undefine
- ac/am, fix perms

Revision 1.10  2004/01/15 00:54:47  undefine
- glade files too

Revision 1.9  2004/01/15 00:19:08  undefine
- typo

Revision 1.8  2004/01/15 00:03:41  undefine
- update to 0.7, not tested yet...

Revision 1.7  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.6  2003/06/18 11:15:37  marcus
- addedd URL

Revision 1.5  2003/05/28 12:59:21  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/06 16:18:55  qboosh
- pl, missing dirs, use find_lang for gnome help files

Revision 1.2  2003/04/05 15:08:13  adasi
- forgot to add source0 URL

Revision 1.1  2003/04/05 15:07:25  adasi
- kino DV editing utility. Initial PLD release
